Aura 2 (English)
curl --request POST \
--url https://api.slng.ai/v1/tts/slng/deepgram/aura:2-en \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "aura-2-thalia-en",
"text": "Hello, this is a test of text to speech synthesis."
}
'import requests
url = "https://api.slng.ai/v1/tts/slng/deepgram/aura:2-en"
payload = {
"model": "aura-2-thalia-en",
"text": "Hello, this is a test of text to speech synthesis."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'aura-2-thalia-en',
text: 'Hello, this is a test of text to speech synthesis.'
})
};
fetch('https://api.slng.ai/v1/tts/slng/deepgram/aura:2-en', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Aura 2 (English)
Aura 2 (English)
Synthesize English speech using SLNG-hosted Deepgram Aura 2.
POST
/
v1
/
tts
/
slng
/
deepgram
/
aura:2-en
Aura 2 (English)
Authorizations
API key issued by SLNG. Pass as Authorization: Bearer <token>.
Headers
Target region override. Auto-selected if not provided.
Available options:
eu-north-1, us-east-1 Target world part override. Auto-selected if not provided.
Available options:
eu, na Body
application/json
Text to synthesize.
Minimum string length:
1English voice model. Check the full list with audio samples in the voice list.
Available options:
aura-2-amalthea-en, aura-2-andromeda-en, aura-2-apollo-en, aura-2-arcas-en, aura-2-aries-en, aura-2-asteria-en, aura-2-athena-en, aura-2-atlas-en, aura-2-aurora-en, aura-2-callista-en, aura-2-cordelia-en, aura-2-cora-en, aura-2-delia-en, aura-2-draco-en, aura-2-electra-en, aura-2-harmonia-en, aura-2-helena-en, aura-2-hera-en, aura-2-hermes-en, aura-2-hyperion-en, aura-2-iris-en, aura-2-janus-en, aura-2-juno-en, aura-2-jupiter-en, aura-2-luna-en, aura-2-mars-en, aura-2-minerva-en, aura-2-neptune-en, aura-2-odysseus-en, aura-2-ophelia-en, aura-2-orion-en, aura-2-orpheus-en, aura-2-pandora-en, aura-2-phoebe-en, aura-2-pluto-en, aura-2-saturn-en, aura-2-selene-en, aura-2-thalia-en, aura-2-theia-en, aura-2-vesta-en, aura-2-zeus-en Output audio encoding.
Available options:
linear16, mp3, opus, flac, aac, mulaw, alaw Output sample rate in Hz.
Available options:
8000, 16000, 24000, 32000, 48000 Output file format container.
Available options:
none, wav, ogg Output bit rate for lossy encodings.
Available options:
8000, 16000, 24000, 32000, 48000, 64000, 96000, 128000, 192000, 256000 Response
Synthesis successful.
Binary audio data.
Was this page helpful?
⌘I